function [evennum] = CountEvenElements(M)
% Count the number of even elements in a matrix 
% Input: matrix M
% Output: number of even elements
% Exam 2/5/2016
% Version 1: use MATLAB functions

% Check if the matrix is empty
if isempty(M)
    evennum = 0;    
    return;
end

% Find the even elements
evevenM = ~logical(mod(M,2))	% evenM: logical matrix where  
% Count the even elements       % evenM(i,j)=1 if M(i,j) is even 
evennum = length(find(evenM));  % Find the indices of nonzero elements of evenM, 
                                % and count them using length() 
end