function [evennum] = CountEvenElements_for(M)
% Count the number of even elements in a matrix 
% Input: matrix M
% Output: number of even elements
% Exam 2/5/2016
% Version 2: Use nested for loops

% Initialize the counter
evennum = 0;    

% Check if the matrix is empty
if isempty(M)
    return;
end

% Determine the number of rows and colums of M
[nrows, ncols] = size(M);

% Outer loop on rows
for i=1:nrows
    % Inner loop on columns
    for j=1:ncols
        % Check if the matrix element is even
        if ~mod(M(i,j), 2) % Equivalent to: (mod(M(i,j), 2) == 0)
            evennum = evennum + 1; % Increase the counter
        end
    end
end
    
end